summaryrefslogtreecommitdiff
path: root/user/acpilight/acpilight.post-install
diff options
context:
space:
mode:
Diffstat (limited to 'user/acpilight/acpilight.post-install')
-rw-r--r--user/acpilight/acpilight.post-install11
1 files changed, 11 insertions, 0 deletions
diff --git a/user/acpilight/acpilight.post-install b/user/acpilight/acpilight.post-install
new file mode 100644
index 000000000..0e64cf725
--- /dev/null
+++ b/user/acpilight/acpilight.post-install
@@ -0,0 +1,11 @@
+#!/bin/sh
+chgrp video /sys/class/backlight/*/brightness || true
+chmod g+w /sys/class/backlight/*/brightness || true
+chgrp video /sys/class/leds/*/brightness || true
+chmod g+w /sys/class/leds/*/brightness || true
+
+echo "*"
+echo "* Any user wishing to use xbacklight must be in the 'video' group."
+echo "* Check using 'groups \$USER' and add using 'usermod -aG video \$USER'."
+echo "*"
+exit 0